diff -Naur touchmegames/src/compile4/makefile touchmegames-p/src/compile4/makefile
--- touchmegames/src/compile4/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/compile4/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -57,20 +57,20 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
 	if [ -e $(GAME_NAME) ]; \
-	then cp $(GAME_NAME) /usr/bin; \
+	then cp $(GAME_NAME) $(DESTDIR)/usr/bin; \
 	fi
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
diff -Naur touchmegames/src/consume21/Makefile touchmegames-p/src/consume21/Makefile
--- touchmegames/src/consume21/Makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/consume21/Makefile	2007-12-11 03:53:31.000000000 +0100
@@ -59,20 +59,20 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
 	if [ -e $(GAME_NAME) ]; \
-	then cp $(GAME_NAME) /usr/bin; \
+	then cp $(GAME_NAME) $(DESTDIR)/usr/bin; \
 	fi
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
diff -Naur touchmegames/src/dart01/makefile touchmegames-p/src/dart01/makefile
--- touchmegames/src/dart01/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/dart01/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -60,22 +60,22 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames ]; \
-	then mkdir /usr/local/share/touchmegames; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp $(GAME_NAME) /usr/bin
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME) $(DESTDIR)/usr/bin
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
-	rm -rf /usr/local/share/touchmegames/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
+	rm -rf $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
diff -Naur touchmegames/src/dartcountdown/makefile touchmegames-p/src/dartcountdown/makefile
--- touchmegames/src/dartcountdown/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/dartcountdown/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -58,15 +58,15 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
 
diff -Naur touchmegames/src/dartCountUp/makefile touchmegames-p/src/dartCountUp/makefile
--- touchmegames/src/dartCountUp/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/dartCountUp/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -55,15 +55,15 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
 
diff -Naur touchmegames/src/dartcricket/makefile touchmegames-p/src/dartcricket/makefile
--- touchmegames/src/dartcricket/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/dartcricket/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -58,22 +58,22 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames ]; \
-	then mkdir /usr/local/share/touchmegames; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp $(GAME_NAME) /usr/bin
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME) $(DESTDIR)/usr/bin
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
-	rm -rf /usr/local/share/touchmegames/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
+	rm -rf $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
diff -Naur touchmegames/src/dartcricket10/makefile touchmegames-p/src/dartcricket10/makefile
--- touchmegames/src/dartcricket10/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/dartcricket10/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -59,22 +59,22 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames ]; \
-	then mkdir /usr/local/share/touchmegames; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp $(GAME_NAME) /usr/bin
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME) $(DESTDIR)/usr/bin
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
-	rm -rf /usr/local/share/touchmegames/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
+	rm -rf $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
diff -Naur touchmegames/src/dartlowball/makefile touchmegames-p/src/dartlowball/makefile
--- touchmegames/src/dartlowball/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/dartlowball/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -55,15 +55,15 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
 
diff -Naur touchmegames/src/darttictactoe/makefile touchmegames-p/src/darttictactoe/makefile
--- touchmegames/src/darttictactoe/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/darttictactoe/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -55,15 +55,15 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
 
diff -Naur touchmegames/src/flogthedolphin/makefile touchmegames-p/src/flogthedolphin/makefile
--- touchmegames/src/flogthedolphin/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/flogthedolphin/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -55,24 +55,24 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/sounds ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/sounds; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/sounds ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/sounds; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp sounds/*.* /usr/local/share/touchmegames/$(GAME_NAME)/sounds
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
+	cp sounds/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/sounds
 	if [ -e $(GAME_NAME) ]; \
-	then cp $(GAME_NAME) /usr/bin; \
+	then cp $(GAME_NAME) $(DESTDIR)/usr/bin; \
 	fi
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
diff -Naur touchmegames/src/foxyboxy/makefile touchmegames-p/src/foxyboxy/makefile
--- touchmegames/src/foxyboxy/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/foxyboxy/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -55,20 +55,20 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).png /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).png $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
 	if [ -e $(GAME_NAME) ]; \
-	then cp $(GAME_NAME) /usr/bin; \
+	then cp $(GAME_NAME) $(DESTDIR)/usr/bin; \
 	fi
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
diff -Naur touchmegames/src/gorillathrilla/makefile touchmegames-p/src/gorillathrilla/makefile
--- touchmegames/src/gorillathrilla/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/gorillathrilla/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -55,20 +55,20 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
 	if [ -e $(GAME_NAME) ]; \
-	then cp $(GAME_NAME) /usr/bin; \
+	then cp $(GAME_NAME) $(DESTDIR)/usr/bin; \
 	fi
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
diff -Naur touchmegames/src/images/buttons/Makefile touchmegames-p/src/images/buttons/Makefile
--- touchmegames/src/images/buttons/Makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/images/buttons/Makefile	2007-12-11 03:53:31.000000000 +0100
@@ -1,8 +1,8 @@
 
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/images/buttons ]; \
-		then mkdir /usr/local/share/touchmegames/images/buttons; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/images/buttons ]; \
+		then mkdir $(DESTDIR)/usr/share/touchmegames/images/buttons; \
 	fi
 	
-	cp *.* /usr/local/share/touchmegames/images/buttons; \
\ Kein Zeilenumbruch am Dateiende.
+	cp *.* $(DESTDIR)/usr/share/touchmegames/images/buttons; \
\ Kein Zeilenumbruch am Dateiende.
diff -Naur touchmegames/src/images/cards/Makefile touchmegames-p/src/images/cards/Makefile
--- touchmegames/src/images/cards/Makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/images/cards/Makefile	2007-12-11 03:53:31.000000000 +0100
@@ -2,13 +2,13 @@
 SUBDIRS=backs default
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/images/cards ]; \
-		then mkdir /usr/local/share/touchmegames/images/cards; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/images/cards ]; \
+		then mkdir $(DESTDIR)/usr/share/touchmegames/images/cards; \
 	fi
-	cp *.* /usr/local/share/touchmegames/images/cards; \
+	cp *.* $(DESTDIR)/usr/share/touchmegames/images/cards; \
 	for i in ${SUBDIRS}; do \
-		if [ ! -e /usr/local/share/touchmegames/images/cards/$$i ]; \
-			then mkdir /usr/local/share/touchmegames/images/cards/$$i; \
+		if [ ! -e $(DESTDIR)/usr/share/touchmegames/images/cards/$$i ]; \
+			then mkdir $(DESTDIR)/usr/share/touchmegames/images/cards/$$i; \
 		fi; \
-		cp $$i/*.* /usr/local/share/touchmegames/images/cards/$$i; \
+		cp $$i/*.* $(DESTDIR)/usr/share/touchmegames/images/cards/$$i; \
 	done 
diff -Naur touchmegames/src/images/games/Makefile touchmegames-p/src/images/games/Makefile
--- touchmegames/src/images/games/Makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/images/games/Makefile	2007-12-11 03:53:31.000000000 +0100
@@ -1,8 +1,8 @@
 
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/images/games ]; \
-		then mkdir /usr/local/share/touchmegames/images/games; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/images/games ]; \
+		then mkdir $(DESTDIR)/usr/share/touchmegames/images/games; \
 	fi
 	
-	cp *.* /usr/local/share/touchmegames/images/games; \
\ Kein Zeilenumbruch am Dateiende.
+	cp *.* $(DESTDIR)/usr/share/touchmegames/images/games; \
\ Kein Zeilenumbruch am Dateiende.
diff -Naur touchmegames/src/images/mainmenu/Makefile touchmegames-p/src/images/mainmenu/Makefile
--- touchmegames/src/images/mainmenu/Makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/images/mainmenu/Makefile	2007-12-11 03:53:31.000000000 +0100
@@ -1,8 +1,8 @@
 
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/images/mainmenu ]; \
-		then mkdir /usr/local/share/touchmegames/images/mainmenu; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/images/mainmenu ]; \
+		then mkdir $(DESTDIR)/usr/share/touchmegames/images/mainmenu; \
 	fi
 	
-	cp *.* /usr/local/share/touchmegames/images/mainmenu; \
\ Kein Zeilenumbruch am Dateiende.
+	cp *.* $(DESTDIR)/usr/share/touchmegames/images/mainmenu; \
\ Kein Zeilenumbruch am Dateiende.
diff -Naur touchmegames/src/images/Makefile touchmegames-p/src/images/Makefile
--- touchmegames/src/images/Makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/images/Makefile	2007-12-11 03:53:31.000000000 +0100
@@ -2,10 +2,10 @@
 SUBDIRS=buttons cards games mainmenu submenu
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/images/ ]; \
-		then mkdir /usr/local/share/touchmegames/images/; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/images/ ]; \
+		then mkdir $(DESTDIR)/usr/share/touchmegames/images/; \
 	fi
-	cp *.* /usr/local/share/touchmegames/images
+	cp *.* $(DESTDIR)/usr/share/touchmegames/images
 	for i in ${SUBDIRS}; do \
 		(cd $$i; ${MAKE} install;); \
 	done  
diff -Naur touchmegames/src/images/submenu/Makefile touchmegames-p/src/images/submenu/Makefile
--- touchmegames/src/images/submenu/Makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/images/submenu/Makefile	2007-12-11 03:53:31.000000000 +0100
@@ -1,8 +1,8 @@
 
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/images/submenu ]; \
-		then mkdir /usr/local/share/touchmegames/images/submenu; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/images/submenu ]; \
+		then mkdir $(DESTDIR)/usr/share/touchmegames/images/submenu; \
 	fi
 	
-	cp *.* /usr/local/share/touchmegames/images/submenu; \
\ Kein Zeilenumbruch am Dateiende.
+	cp *.* $(DESTDIR)/usr/share/touchmegames/images/submenu; \
\ Kein Zeilenumbruch am Dateiende.
diff -Naur touchmegames/src/Makefile touchmegames-p/src/Makefile
--- touchmegames/src/Makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/Makefile	2007-12-11 03:53:31.000000000 +0100
@@ -26,7 +26,7 @@
 	for i in ${GAMES}; do \
 		(cd $$i; ${MAKE}); \
 	done
-	g++ main.cpp interface.o support.o events.o -o touchmegames lib/gameptr.o lib/altprogressbar.o $(GAME_LIBS) \
+	g++ $(CFLAGS) main.cpp interface.o support.o events.o -o touchmegames lib/gameptr.o lib/altprogressbar.o $(GAME_LIBS) \
 		$(XML_LFLAGS) $(INC) $(GTK_LFLAGS) $(LIB) $(GTHREAD_LFLAGS) #lib/dartlib.o
 
 debug:
@@ -54,19 +54,19 @@
 
 install:
 	if [ ! -e touchmegames ]; then make; fi
-	if [ ! -e /usr/local/share/touchmegames/ ]; \
-		then mkdir /usr/local/share/touchmegames/; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/ ]; \
+		then mkdir $(DESTDIR)/usr/share/touchmegames/; \
 	fi
 	
 	for i in ${GAMES}; do \
 		(cd $$i; ${MAKE} install;); \
 	done
 	(cd images; ${MAKE} install;);
-	cp touchmegames /usr/bin
+	cp touchmegames $(DESTDIR)/usr/bin
 
 uninstall:
-	rm -rf /usr/local/share/touchmegames
-	rm -f /usr/bin/touchmegames
+	rm -rf $(DESTDIR)/usr/share/touchmegames
+	rm -f $(DESTDIR)/usr/bin/touchmegames
 	
 clean:
 	for i in ${GAMES}; do \
diff -Naur touchmegames/src/secretphrase/makefile touchmegames-p/src/secretphrase/makefile
--- touchmegames/src/secretphrase/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/secretphrase/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -66,24 +66,24 @@
 	(cd phrasegenerator; $(MAKE) clean;)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/phrases ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/phrases; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/phrases ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/phrases; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp phrases/*.* /usr/local/share/touchmegames/$(GAME_NAME)/phrases
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
+	cp phrases/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/phrases
 	if [ -e $(GAME_NAME) ]; \
-	then cp $(GAME_NAME) /usr/bin; \
+	then cp $(GAME_NAME) $(DESTDIR)/usr/bin; \
 	fi
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
diff -Naur touchmegames/src/sudoku/Makefile touchmegames-p/src/sudoku/Makefile
--- touchmegames/src/sudoku/Makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/sudoku/Makefile	2007-12-11 03:53:31.000000000 +0100
@@ -59,24 +59,24 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/sounds ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/sounds; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/sounds ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/sounds; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp sounds/*.* /usr/local/share/touchmegames/$(GAME_NAME)/sounds
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
+	cp sounds/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/sounds
 	if [ -e $(GAME_NAME) ]; \
-	then cp $(GAME_NAME) /usr/bin; \
+	then cp $(GAME_NAME) $(DESTDIR)/usr/bin; \
 	fi
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
diff -Naur touchmegames/src/threescompany/makefile touchmegames-p/src/threescompany/makefile
--- touchmegames/src/threescompany/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/threescompany/makefile	2007-12-11 03:52:38.000000000 +0100
@@ -55,20 +55,20 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
 	if [ -e $(GAME_NAME) ]; \
-	then cp $(GAME_NAME) /usr/bin; \
+	then cp $(GAME_NAME) $(DESTDIR)/usr/bin; \
 	fi
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
diff -Naur touchmegames/src/tritowers/Makefile touchmegames-p/src/tritowers/Makefile
--- touchmegames/src/tritowers/Makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/tritowers/Makefile	2007-12-11 03:53:31.000000000 +0100
@@ -55,20 +55,20 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
 	if [ -e $(GAME_NAME) ]; \
-	then cp $(GAME_NAME) /usr/bin; \
+	then cp $(GAME_NAME) $(DESTDIR)/usr/bin; \
 	fi
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
diff -Naur touchmegames/src/videopoker/makefile touchmegames-p/src/videopoker/makefile
--- touchmegames/src/videopoker/makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/videopoker/makefile	2007-12-11 03:53:03.000000000 +0100
@@ -55,20 +55,20 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp cards/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp cards/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
 	if [ -e $(GAME_NAME) ]; \
-	then cp $(GAME_NAME) /usr/bin; \
+	then cp $(GAME_NAME) $(DESTDIR)/usr/bin; \
 	fi
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
diff -Naur touchmegames/src/wordhunt/Makefile touchmegames-p/src/wordhunt/Makefile
--- touchmegames/src/wordhunt/Makefile	2007-08-08 02:03:05.000000000 +0200
+++ touchmegames-p/src/wordhunt/Makefile	2007-12-11 03:53:31.000000000 +0100
@@ -66,25 +66,25 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/sounds ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/sounds; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/sounds ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/sounds; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp lists /usr/local/share/touchmegames/$(GAME_NAME)
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp sounds/*.* /usr/local/share/touchmegames/$(GAME_NAME)/sounds
+	cp lists $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp $(GAME_NAME).gif $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/images
+	cp sounds/*.* $(DESTDIR)/usr/share/touchmegames/$(GAME_NAME)/sounds
 	if [ -e $(GAME_NAME) ]; \
-	then cp $(GAME_NAME) /usr/bin; \
+	then cp $(GAME_NAME) $(DESTDIR)/usr/bin; \
 	fi
 
 uninstall:
-	rm -f /usr/bin/$(GAME_NAME)
+	rm -f $(DESTDIR)/usr/bin/$(GAME_NAME)
